/*
 * Class SED_ERROR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_14 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_14 [] = {0xFF01,237,13,0xFFFF};
static const EIF_TYPE_INDEX egt_2_14 [] = {0xFF01,13,0xFFFF};
static const EIF_TYPE_INDEX egt_3_14 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_14 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_14 [] = {0xFF01,13,0xFFFF};
static const EIF_TYPE_INDEX egt_6_14 [] = {0xFF01,13,0xFFFF};
static const EIF_TYPE_INDEX egt_7_14 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_14 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_14 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_14 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_14 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_14 [] = {0xFF01,13,0xFFFF};
static const EIF_TYPE_INDEX egt_13_14 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_14_14 [] = {0xFF01,226,0xFFFF};


static const struct desc_info desc_14[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_14), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_14), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_14), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_14), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_14), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_14), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_14), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_14), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_14), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_14), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_14), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_14), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x1B /*13*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_14), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 147, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_14), 148, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_14), 149, 0},
};
void Init14(void)
{
	IDSC(desc_14, 0, 13);
	IDSC(desc_14 + 1, 1, 13);
	IDSC(desc_14 + 32, 234, 13);
}


#ifdef __cplusplus
}
#endif
